// 导出一个函数，这个函数接受数据库对象db和一个回调函数callback作为参数
module.exports = function(db, callback) {
    // 用户模型
    // 使用db.define方法定义一个模型，模型名为PermissionModel
    db.define("PermissionModel", {
        // 定义模型的属性
        ps_id: {type: 'serial', key: true}, // 权限ID，自增主键
        ps_name: String, // 权限名称，类型为字符串
        ps_pid: Number, // 父权限ID，类型为数字
        ps_c: String, // 控制器名称，类型为字符串
        ps_a: String, // 动作名称，类型为字符串
        ps_level: String // 权限级别，类型为字符串
    }, {
        // 定义模型的选项
        table: "sp_permission" // 指定模型对应的数据库表名为sp_permission
    });
    // 调用回调函数，传入无参数
    return callback();
}